Можно ли скомпилировать Pygame 1.9.2 с SDL 1.3?

В этом комментарии пользователь "illume", по-видимому, указывает, что Pygame 1.9.2 будет построен с "новым SDL". Надеясь, что "новый SDL" означает SDL 1.3, я загрузил, скомпилировал и установил источник SDL 1.3, затем загрузил источник Pygame 1.9.2 через hg и попытался установить, но я получаю сообщения об ошибках, подробно описанные здесь. Я ошибаюсь в своей интерпретации комментария о том, что Pygame 1.9.2 будет строить с SDL 1.3, или я могу что-то сделать, чтобы сделать эту работу?

1 ответ

Я не вижу никакого упоминания о SDL 1,3/2,0 есть. "Новый SDL" может иметь в виду выпуск 1.2.15 в январе.

Среди прочего они удалили API-интерфейс CD-ROM в SDL 2.0. Вы можете увидеть доказательства этого в нижней части вашего сущности.

Вам придется удалить или удалить эту функциональность в pygame.

licensed under cc by-sa 3.0 with attribution.